> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reportify.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Follow Group

> Update a follow group

## 更新关注组

**URL**: `/v1/following/groups/{group_id}`\
**方法**: `POST`\
**描述**: 更新关注组的名称

### 请求参数

| 参数名       | 类型  | 描述     |
| --------- | --- | ------ |
| group\_id | str | 关注组 ID |

### 请求体

| 参数名  | 类型  | 描述        |
| ---- | --- | --------- |
| name | str | 新的组名称（可选） |

### 响应参数

| 参数名       | 类型  | 描述     |
| --------- | --- | ------ |
| group\_id | str | 关注组 ID |
| name      | str | 组名称    |
| count     | int | 关注项数量  |


## OpenAPI

````yaml POST /v1/following/groups/{group_id}
openapi: 3.1.0
info:
  title: Reportify API
  version: 1.0.0
  description: API documentation for Reportify's document management and search services.
servers:
  - url: https://api.reportify.cn
    description: Production server
security:
  - BearerAuth: []
paths:
  /v1/following/groups/{group_id}:
    post:
      tags:
        - openapi-tools-user
      summary: Update Follow Group
      description: Update a follow group
      operationId: update_follow_group
      parameters:
        - name: group_id
          in: path
          required: true
          schema:
            type: string
            title: Group Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FollowGroupUpdateRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FollowGroupResult'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    FollowGroupUpdateRequest:
      type: object
      properties:
        name:
          type: string
          title: Name
          description: Follow group name
      title: FollowGroupUpdateRequest
      description: Request to update a follow group
    FollowGroupResult:
      type: object
      properties:
        group_id:
          type: string
          title: Group Id
          description: Group ID
        name:
          type: string
          title: Name
          description: Group name
        count:
          type: integer
          title: Count
          description: Number of members
      required:
        - group_id
        - name
        - count
      title: FollowGroupResult
      description: Follow group result
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Enter your Bearer token

````